package com.fs.erp.dto;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 获取初始化Token请求DTO
 *
 * @author xdd
 * @version 1.0
 * @date 2025-02-27
 * @since 1.0
 */
@Data
@Accessors(chain = true)
public class GetInitTokenRequestDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 开发者应用Key
     */
    private String app_key;

    /**
     * 当前请求的时间戳(单位:秒)
     */
    private String timestamp;

    /**
     * 授权类型(固定值:authorization_code)
     */
    private String grant_type;

    /**
     * 交互数据编码(固定值:utf-8)
     */
    private String charset;

    /**
     * 随机码(六位随机字符串)
     */
    private String code;

    /**
     * 数字签名
     */
    private String sign;
}
